Index: FL/Fl.H
===================================================================
--- FL/Fl.H	(revision 10115)
+++ FL/Fl.H	(working copy)
@@ -23,6 +23,8 @@
 #ifndef Fl_H
 #  define Fl_H
 
+# include <FL/fix_win32.H>
+
 #ifdef FLTK_HAVE_CAIRO
 # include <FL/Fl_Cairo.H>
 #endif
Index: FL/Fl_Bitmap.H
===================================================================
--- FL/Fl_Bitmap.H	(revision 10115)
+++ FL/Fl_Bitmap.H	(working copy)
@@ -21,6 +21,9 @@
 
 #ifndef Fl_Bitmap_H
 #define Fl_Bitmap_H
+
+# include <FL/fix_win32.H>
+
 #  include "Fl_Image.H"
 
 class Fl_Widget;
Index: FL/Fl_Cairo.H
===================================================================
--- FL/Fl_Cairo.H	(revision 10115)
+++ FL/Fl_Cairo.H	(working copy)
@@ -22,6 +22,9 @@
 
 #ifndef FL_CAIRO_H
 # define FL_CAIRO_H
+
+# include <FL/fix_win32.H>
+
 # ifdef FLTK_HAVE_CAIRO
 
 // Cairo is currently supported for the following platforms:
Index: FL/Fl_Device.H
===================================================================
--- FL/Fl_Device.H	(revision 10115)
+++ FL/Fl_Device.H	(working copy)
@@ -25,6 +25,8 @@
 #ifndef Fl_Device_H
 #define Fl_Device_H
 
+# include <FL/fix_win32.H>
+
 #include <FL/x.H>
 #include <FL/Fl_Plugin.H>
 #include <FL/Fl_Image.H>
Index: FL/Fl_Export.H
===================================================================
--- FL/Fl_Export.H	(revision 10115)
+++ FL/Fl_Export.H	(working copy)
@@ -19,6 +19,8 @@
 #ifndef Fl_Export_H
 #  define Fl_Export_H
 
+# include <FL/fix_win32.H>
+
 /*
  * The following is only used when building DLLs under WIN32...
  */
Index: FL/Fl_Image.H
===================================================================
--- FL/Fl_Image.H	(revision 10115)
+++ FL/Fl_Image.H	(working copy)
@@ -22,6 +22,8 @@
 #ifndef Fl_Image_H
 #  define Fl_Image_H
 
+# include <FL/fix_win32.H>
+
 #  include "Enumerations.H"
 #include <stdlib.h>
 
Index: FL/Fl_Native_File_Chooser.H
===================================================================
--- FL/Fl_Native_File_Chooser.H	(revision 10115)
+++ FL/Fl_Native_File_Chooser.H	(working copy)
@@ -26,6 +26,8 @@
 /* \file
  Fl_Native_File_Chooser widget. */
 
+# include <FL/fix_win32.H>
+
 // Use Windows' chooser
 #ifdef WIN32
 // #define _WIN32_WINNT	0x0501	// needed for OPENFILENAME's 'FlagsEx'
Index: FL/Fl_Pixmap.H
===================================================================
--- FL/Fl_Pixmap.H	(revision 10115)
+++ FL/Fl_Pixmap.H	(working copy)
@@ -21,6 +21,9 @@
 
 #ifndef Fl_Pixmap_H
 #define Fl_Pixmap_H
+
+# include <FL/fix_win32.H>
+
 #  include "Fl_Image.H"
 #if defined(WIN32)
 #  include "x.H"
Index: FL/Fl_Preferences.H
===================================================================
--- FL/Fl_Preferences.H	(revision 10115)
+++ FL/Fl_Preferences.H	(working copy)
@@ -22,6 +22,8 @@
 #ifndef Fl_Preferences_H
 #  define Fl_Preferences_H
 
+# include <FL/fix_win32.H>
+
 #  include <stdio.h>
 #  include "Fl_Export.H" 
 
Index: FL/Fl_Printer.H
===================================================================
--- FL/Fl_Printer.H	(revision 10115)
+++ FL/Fl_Printer.H	(working copy)
@@ -23,6 +23,8 @@
 #ifndef Fl_Printer_H
 #define Fl_Printer_H
 
+# include <FL/fix_win32.H>
+
 #include <FL/x.H>
 #include <FL/Fl_Paged_Device.H>
 #include <FL/fl_draw.H>
Index: FL/Fl_Table.H
===================================================================
--- FL/Fl_Table.H	(revision 10115)
+++ FL/Fl_Table.H	(working copy)
@@ -20,6 +20,8 @@
 #ifndef _FL_TABLE_H
 #define _FL_TABLE_H
 
+# include <FL/fix_win32.H>
+
 #include <sys/types.h>
 #include <string.h>		// memcpy
 #ifdef WIN32
Index: FL/Fl_Window.H
===================================================================
--- FL/Fl_Window.H	(revision 10115)
+++ FL/Fl_Window.H	(working copy)
@@ -22,6 +22,8 @@
 #ifndef Fl_Window_H
 #define Fl_Window_H
 
+# include <FL/fix_win32.H>
+
 #include "Fl_Group.H"
 
 #define FL_WINDOW 0xF0		///< window type id all subclasses have type() >= this
Index: FL/filename.H
===================================================================
--- FL/filename.H	(revision 10115)
+++ FL/filename.H	(working copy)
@@ -19,6 +19,8 @@
  File names and URI utility functions.
  */
 
+# include <FL/fix_win32.H>
+
 /* Xcode on OS X includes files by recursing down into directories.
  * This code catches the cycle and directly includes the required file.
  */
Index: FL/fl_draw.H
===================================================================
--- FL/fl_draw.H	(revision 10115)
+++ FL/fl_draw.H	(working copy)
@@ -24,6 +24,8 @@
 #ifndef fl_draw_H
 #define fl_draw_H
 
+# include <FL/fix_win32.H>
+
 #include <FL/x.H>	      // for Fl_Region
 #include <FL/Enumerations.H>  // for the color names
 #include <FL/Fl_Window.H>     // for fl_set_spot()
Index: FL/fl_utf8.h
===================================================================
--- FL/fl_utf8.h	(revision 10115)
+++ FL/fl_utf8.h	(working copy)
@@ -27,6 +27,8 @@
 #ifndef _HAVE_FL_UTF8_HDR_
 #define _HAVE_FL_UTF8_HDR_
 
+# include <FL/fix_win32.H>
+
 #include "Fl_Export.H"
 #include "fl_types.h"
 
Index: FL/gl.h
===================================================================
--- FL/gl.h	(revision 10115)
+++ FL/gl.h	(working copy)
@@ -42,6 +42,8 @@
 #ifndef FL_gl_H
 #  define FL_gl_H
 
+# include <FL/fix_win32.H>
+
 #  include "Enumerations.H" // for color names
 #  ifdef WIN32
 #    include <windows.h>
Index: FL/glu.h
===================================================================
--- FL/glu.h	(revision 10115)
+++ FL/glu.h	(working copy)
@@ -26,6 +26,8 @@
 #ifndef FL_glu_H
 #  define FL_glu_H
 
+# include <FL/fix_win32.H>
+
 #  include "Enumerations.H" // for color names
 #  ifdef WIN32
 #    include <windows.h>
Index: FL/math.h
===================================================================
--- FL/math.h	(revision 10115)
+++ FL/math.h	(working copy)
@@ -25,6 +25,8 @@
 #ifndef fl_math_h
 #  define fl_math_h
 
+# include <FL/fix_win32.H>
+
 #  define fl_math_h_cyclic_include 
 #  include <math.h>
 #  undef fl_math_h_cyclic_include 
Index: FL/win32.H
===================================================================
--- FL/win32.H	(revision 10115)
+++ FL/win32.H	(working copy)
@@ -25,6 +25,8 @@
 #  error "Never use <FL/win32.H> directly; include <FL/x.H> instead."
 #endif // !Fl_X_H
 
+# include <FL/fix_win32.H>
+
 #include <windows.h>
 typedef HRGN Fl_Region;
 typedef HWND Window;
Index: FL/x.H
===================================================================
--- FL/x.H	(revision 10115)
+++ FL/x.H	(working copy)
@@ -35,6 +35,8 @@
 #if !defined(Fl_X_H) && !defined(FL_DOXYGEN) 
 #  define Fl_X_H
 
+# include <FL/fix_win32.H>
+
 #  include "Enumerations.H"
 
 #  ifdef WIN32
